/*** -- Custom Stylesheet for the Municipal Elections site -- ***/

/** Candidate/Third-Party Listing **/
#candidates-module .office-grouping																	{ margin-left: 0; }
.accordion.office-candidate-listing                                                                 { --bs-accordion-bg: inherit; margin-bottom: 30px; }
.accordion.office-candidate-listing .accordion-item                                                 { border: none; }
.accordion.office-candidate-listing h3.accordion-header                                             { border-bottom: 1px solid rgba(0, 0, 0, 0.125); margin-bottom: 0px !important; }

.accordion.office-candidate-listing h3 button.accordion-button
{
	font-weight: normal;
	font-size: 1.15rem;
	color: #000;
	background-color: transparent;
	box-shadow: none;
	margin-left: 0;
}

.accordion.office-candidate-listing h3 button.accordion-button:after
{ 
	order: -1;
	margin-left: 0; 
	margin-right: 1em;
	background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000000'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>") !important;
}

.accordion.office-candidate-listing h3 button.accordion-button:hover,
.accordion.office-candidate-listing h3 button.accordion-button:focus
{ 
	background-color: #f2f2f2; 
	text-decoration: underline; 
	border-radius: 0; 
}

.accordion.office-candidate-listing .accordion-collapse.show                                        { border-bottom: 1px solid rgba(0,0,0,0.125); }

.row.candidate-information .box-social-info
{
	background-color: #f7f7f7;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.row.candidate-information .box-social-info .candidate-social-link                                  { padding-bottom: 10px; }
.row.candidate-information .box-social-info .candidate-social-link i                                { margin-right: 5px; }
.row.candidate-information .box-social-info .candidate-social-link span.social-link-text            { margin-left: 5px; }
.row.candidate-information .box-qualify-info,
.row.candidate-information .box-campaign-info														{ margin-top: 10px; margin-bottom: 10px; }
.row.candidate-information .box-qualify-info div,
.row.candidate-information .box-campaign-info div
{
	margin-bottom: 8px;
	display: flex;
	flex-direction: column;
}
.row.candidate-information .box-qualify-info span,
.row.candidate-information .box-campaign-info span													{ font-weight: 600; }
.row.candidate-information .box-qualify-info														{ border-right: 1px solid #f2f2f2; }
.row.candidate-information .box-social-info a														{ text-decoration: none; }
.row.candidate-information .box-social-info a:hover,
.row.candidate-information .box-social-info a:focus													{ text-decoration: underline; }

/* Listing - Dropdown Customizations */
#candidate-filter-menu button.btn
{
	height: 40px;
	width: 100%;
	padding: 6px;
	padding-left: 12px;
	border-radius: 50%;
	background-color: #E0E0E0;
	color: #000;
	border: 1px solid #C9C7C7;
	text-align: left;
	font-size: clamp(0.875rem, 2vw, 1rem);
}

#candidate-filter-menu button.btn:hover,
#candidate-filter-menu button.btn:focus																{ background-color: #C9C7C7; }

#candidate-filter-menu a.dropdown-item																{ color: #000; }
#candidate-filter-menu a.dropdown-item.active,
#candidate-filter-menu a.dropdown-item:active														{ background-color: #C9C7C7; }

#candidate-filter-menu .filter-menu-toggle::after {
  position: absolute;
  right: 25px;
  margin-top: 0.7em;
}